# callstack.c File Reference

## Data Structures

struct | _returnCache

## Defines

#define | RESTORE_RETURNVAL 0x8fbf0000
#define | RESTORE_RETURNVAL_MASK 0xffff0000
#define | RESTORE_RETURNVAL2 0xdfbf0000
#define | RESTORE_RETURNVAL3 0x7bbf0000
#define | ADJUST_STACKP_C 0x27bd0000
#define | ADJUST_STACKP_C_MASK 0xffff0000
#define | ADJUST_STACKP_V 0x03a1e821
#define | ADJUST_STACKP_V_MASK 0xffffffff
#define | SET_UPPER_C 0x3c010000
#define | SET_UPPER_C_MASK 0xffff0000
#define | OR_LOWER_C 0x34210000
#define | OR_LOWER_C_MASK 0xffff0000
#define | SET_LOWER_C 0x34010000
#define | SET_LOWER_C_MASK 0xffff0000
#define | RETURN 0x03e00008
#define | CALL(f) (0x0c000000 | (((int) (f)) >> 2))
#define | HASH_SIZE 256
#define | HASH(ra) ((((int) (ra)) >> 2) & (HASH_SIZE - 1))
#define | TRUE 1
#define | FALSE 0

## Typedefs

typedef _returnCache | ReturnCacheRec
typedef _returnCache * | ReturnCachePtr
typedef int | Bool

## Functions

unsigned int * | pspGetReturnAddress ()
unsigned int * | pspGetStackPointer ()
int | main ()
void | pspDebugGetStackTrace (unsigned int *results, int max)
| Get a MIPS stack trace (might work :P).

## Define Documentation

#define ADJUST_STACKP_C 0x27bd0000

#define ADJUST_STACKP_C_MASK 0xffff0000

#define ADJUST_STACKP_V 0x03a1e821

#define ADJUST_STACKP_V_MASK 0xffffffff

#define CALL | ( | f |  | ) | (0x0c000000 | (((int) (f)) >> 2))

#define FALSE 0

#define HASH | ( | ra |  | ) | ((((int) (ra)) >> 2) & (HASH_SIZE - 1))

#define HASH_SIZE 256

#define OR_LOWER_C 0x34210000

#define OR_LOWER_C_MASK 0xffff0000

#define RESTORE_RETURNVAL 0x8fbf0000

#define RESTORE_RETURNVAL2 0xdfbf0000

#define RESTORE_RETURNVAL3 0x7bbf0000

#define RESTORE_RETURNVAL_MASK 0xffff0000

#define RETURN 0x03e00008

#define SET_LOWER_C 0x34010000

#define SET_LOWER_C_MASK 0xffff0000

#define SET_UPPER_C 0x3c010000

#define SET_UPPER_C_MASK 0xffff0000

#define TRUE 1

## Typedef Documentation

typedef int Bool

typedef struct _returnCache * ReturnCachePtr

typedef struct _returnCache ReturnCacheRec

## Function Documentation

int main | ( |  | ) |

unsigned int* pspGetReturnAddress | ( |  | ) |

unsigned int* pspGetStackPointer | ( |  | ) |